Zum Hauptinhalt springen

task-update

Update a task, for example the progress or the state

Path Parameters
taskId uuid REQUIRED

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Request Body REQUIRED
kind string

Possible values: [chat, task, project, goal, decision]

conversationStatus
conclusion
concludedMessageId
data object
priority integer

Possible values: value ≤ 4

status string

Possible values: [pending, running, completed, failed, cancelled, sleeping, waiting, blocked]

repeat
repetitionPattern
repetitionText
repetitionTimeout
name string
description string
scheduledFor
duration
deadline
agentId
spaceId
parentTaskId uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

isPersonalAssistant

Flag to indicate task is for personal assistant (vs user)

Responses
200

Successful response

Schema OPTIONAL
id uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

shortId string
kind string

Possible values: [chat, task, project, goal, decision]

type string
status string

Possible values: [pending, running, completed, failed, cancelled, sleeping, waiting, blocked]

conversationStatus
conclusion
concludedMessageId
priority number
data
result OPTIONAL
error
progress OPTIONAL
progressMessage OPTIONAL
updatedAt string
createdAt string
startedAt
completedAt
scheduledFor
spaceId
creatorId
chunkId
retries number
maxRetries number
nextRetryAt
lockedBy
lockedAt
triggerId
state OPTIONAL
retainUntil
agentId
toolId
repeat
repetitionPattern
repetitionText
repetitionOf
repetitionTimeout OPTIONAL
name
description
minDuration
maxDuration
deadline
sourceUrl
sourceType
sourceId
400

Invalid input data

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
401

Authorization not provided

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
403

Insufficient access

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
404

Not found

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
500

Internal server error

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string